{ config, pkgs, ... }: {
  imports = [ ../../common ../../common/lxc.nix ];
  networking.hostName = "grafana";
  system.stateVersion = "21.11";

  networking.firewall.enable = true;
  networking.firewall.allowedTCPPorts = [ 2345 ];

  services.grafana = {
    enable = true;
    domain = "stats.asraphiel.dev";
    rootUrl = "https://stats.asraphiel.dev/";
    port = 2345;
    addr = "0.0.0.0";
    auth.anonymous.enable = true;
    auth.anonymous.org_role = "Viewer";
    auth.anonymous.org_name = "Asraphiel";
  };
}
